Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:c00a:e00/119
First address
2c19:dd:d9:dd:c25:c25:c00a:e00
Last address
2c19:dd:d9:dd:c25:c25:c00a:fff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:c00a:0e00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
e.0.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
f.0.a.0.0.c.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:c00a:e00/119 makes 256 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:c00a:e00/1272c19:dd:d9:dd:c25:c25:c00a:e01
22c19:dd:d9:dd:c25:c25:c00a:e02/1272c19:dd:d9:dd:c25:c25:c00a:e03
32c19:dd:d9:dd:c25:c25:c00a:e04/1272c19:dd:d9:dd:c25:c25:c00a:e05
42c19:dd:d9:dd:c25:c25:c00a:e06/1272c19:dd:d9:dd:c25:c25:c00a:e07
52c19:dd:d9:dd:c25:c25:c00a:e08/1272c19:dd:d9:dd:c25:c25:c00a:e09
62c19:dd:d9:dd:c25:c25:c00a:e0a/1272c19:dd:d9:dd:c25:c25:c00a:e0b
72c19:dd:d9:dd:c25:c25:c00a:e0c/1272c19:dd:d9:dd:c25:c25:c00a:e0d
82c19:dd:d9:dd:c25:c25:c00a:e0e/1272c19:dd:d9:dd:c25:c25:c00a:e0f
92c19:dd:d9:dd:c25:c25:c00a:e10/1272c19:dd:d9:dd:c25:c25:c00a:e11
102c19:dd:d9:dd:c25:c25:c00a:e12/1272c19:dd:d9:dd:c25:c25:c00a:e13
112c19:dd:d9:dd:c25:c25:c00a:e14/1272c19:dd:d9:dd:c25:c25:c00a:e15
122c19:dd:d9:dd:c25:c25:c00a:e16/1272c19:dd:d9:dd:c25:c25:c00a:e17
132c19:dd:d9:dd:c25:c25:c00a:e18/1272c19:dd:d9:dd:c25:c25:c00a:e19
142c19:dd:d9:dd:c25:c25:c00a:e1a/1272c19:dd:d9:dd:c25:c25:c00a:e1b
152c19:dd:d9:dd:c25:c25:c00a:e1c/1272c19:dd:d9:dd:c25:c25:c00a:e1d
162c19:dd:d9:dd:c25:c25:c00a:e1e/1272c19:dd:d9:dd:c25:c25:c00a:e1f
172c19:dd:d9:dd:c25:c25:c00a:e20/1272c19:dd:d9:dd:c25:c25:c00a:e21
182c19:dd:d9:dd:c25:c25:c00a:e22/1272c19:dd:d9:dd:c25:c25:c00a:e23
192c19:dd:d9:dd:c25:c25:c00a:e24/1272c19:dd:d9:dd:c25:c25:c00a:e25
202c19:dd:d9:dd:c25:c25:c00a:e26/1272c19:dd:d9:dd:c25:c25:c00a:e27
212c19:dd:d9:dd:c25:c25:c00a:e28/1272c19:dd:d9:dd:c25:c25:c00a:e29
222c19:dd:d9:dd:c25:c25:c00a:e2a/1272c19:dd:d9:dd:c25:c25:c00a:e2b
232c19:dd:d9:dd:c25:c25:c00a:e2c/1272c19:dd:d9:dd:c25:c25:c00a:e2d
242c19:dd:d9:dd:c25:c25:c00a:e2e/1272c19:dd:d9:dd:c25:c25:c00a:e2f
252c19:dd:d9:dd:c25:c25:c00a:e30/1272c19:dd:d9:dd:c25:c25:c00a:e31
262c19:dd:d9:dd:c25:c25:c00a:e32/1272c19:dd:d9:dd:c25:c25:c00a:e33
272c19:dd:d9:dd:c25:c25:c00a:e34/1272c19:dd:d9:dd:c25:c25:c00a:e35
282c19:dd:d9:dd:c25:c25:c00a:e36/1272c19:dd:d9:dd:c25:c25:c00a:e37
292c19:dd:d9:dd:c25:c25:c00a:e38/1272c19:dd:d9:dd:c25:c25:c00a:e39
302c19:dd:d9:dd:c25:c25:c00a:e3a/1272c19:dd:d9:dd:c25:c25:c00a:e3b
312c19:dd:d9:dd:c25:c25:c00a:e3c/1272c19:dd:d9:dd:c25:c25:c00a:e3d
322c19:dd:d9:dd:c25:c25:c00a:e3e/1272c19:dd:d9:dd:c25:c25:c00a:e3f
332c19:dd:d9:dd:c25:c25:c00a:e40/1272c19:dd:d9:dd:c25:c25:c00a:e41
342c19:dd:d9:dd:c25:c25:c00a:e42/1272c19:dd:d9:dd:c25:c25:c00a:e43
352c19:dd:d9:dd:c25:c25:c00a:e44/1272c19:dd:d9:dd:c25:c25:c00a:e45
362c19:dd:d9:dd:c25:c25:c00a:e46/1272c19:dd:d9:dd:c25:c25:c00a:e47
372c19:dd:d9:dd:c25:c25:c00a:e48/1272c19:dd:d9:dd:c25:c25:c00a:e49
382c19:dd:d9:dd:c25:c25:c00a:e4a/1272c19:dd:d9:dd:c25:c25:c00a:e4b
392c19:dd:d9:dd:c25:c25:c00a:e4c/1272c19:dd:d9:dd:c25:c25:c00a:e4d
402c19:dd:d9:dd:c25:c25:c00a:e4e/1272c19:dd:d9:dd:c25:c25:c00a:e4f
412c19:dd:d9:dd:c25:c25:c00a:e50/1272c19:dd:d9:dd:c25:c25:c00a:e51
422c19:dd:d9:dd:c25:c25:c00a:e52/1272c19:dd:d9:dd:c25:c25:c00a:e53
432c19:dd:d9:dd:c25:c25:c00a:e54/1272c19:dd:d9:dd:c25:c25:c00a:e55
442c19:dd:d9:dd:c25:c25:c00a:e56/1272c19:dd:d9:dd:c25:c25:c00a:e57
452c19:dd:d9:dd:c25:c25:c00a:e58/1272c19:dd:d9:dd:c25:c25:c00a:e59
462c19:dd:d9:dd:c25:c25:c00a:e5a/1272c19:dd:d9:dd:c25:c25:c00a:e5b
472c19:dd:d9:dd:c25:c25:c00a:e5c/1272c19:dd:d9:dd:c25:c25:c00a:e5d
482c19:dd:d9:dd:c25:c25:c00a:e5e/1272c19:dd:d9:dd:c25:c25:c00a:e5f
492c19:dd:d9:dd:c25:c25:c00a:e60/1272c19:dd:d9:dd:c25:c25:c00a:e61
502c19:dd:d9:dd:c25:c25:c00a:e62/1272c19:dd:d9:dd:c25:c25:c00a:e63
512c19:dd:d9:dd:c25:c25:c00a:e64/1272c19:dd:d9:dd:c25:c25:c00a:e65
522c19:dd:d9:dd:c25:c25:c00a:e66/1272c19:dd:d9:dd:c25:c25:c00a:e67
532c19:dd:d9:dd:c25:c25:c00a:e68/1272c19:dd:d9:dd:c25:c25:c00a:e69
542c19:dd:d9:dd:c25:c25:c00a:e6a/1272c19:dd:d9:dd:c25:c25:c00a:e6b
552c19:dd:d9:dd:c25:c25:c00a:e6c/1272c19:dd:d9:dd:c25:c25:c00a:e6d
562c19:dd:d9:dd:c25:c25:c00a:e6e/1272c19:dd:d9:dd:c25:c25:c00a:e6f
572c19:dd:d9:dd:c25:c25:c00a:e70/1272c19:dd:d9:dd:c25:c25:c00a:e71
582c19:dd:d9:dd:c25:c25:c00a:e72/1272c19:dd:d9:dd:c25:c25:c00a:e73
592c19:dd:d9:dd:c25:c25:c00a:e74/1272c19:dd:d9:dd:c25:c25:c00a:e75
602c19:dd:d9:dd:c25:c25:c00a:e76/1272c19:dd:d9:dd:c25:c25:c00a:e77
612c19:dd:d9:dd:c25:c25:c00a:e78/1272c19:dd:d9:dd:c25:c25:c00a:e79
622c19:dd:d9:dd:c25:c25:c00a:e7a/1272c19:dd:d9:dd:c25:c25:c00a:e7b
632c19:dd:d9:dd:c25:c25:c00a:e7c/1272c19:dd:d9:dd:c25:c25:c00a:e7d
642c19:dd:d9:dd:c25:c25:c00a:e7e/1272c19:dd:d9:dd:c25:c25:c00a:e7f
652c19:dd:d9:dd:c25:c25:c00a:e80/1272c19:dd:d9:dd:c25:c25:c00a:e81
662c19:dd:d9:dd:c25:c25:c00a:e82/1272c19:dd:d9:dd:c25:c25:c00a:e83
672c19:dd:d9:dd:c25:c25:c00a:e84/1272c19:dd:d9:dd:c25:c25:c00a:e85
682c19:dd:d9:dd:c25:c25:c00a:e86/1272c19:dd:d9:dd:c25:c25:c00a:e87
692c19:dd:d9:dd:c25:c25:c00a:e88/1272c19:dd:d9:dd:c25:c25:c00a:e89
702c19:dd:d9:dd:c25:c25:c00a:e8a/1272c19:dd:d9:dd:c25:c25:c00a:e8b
712c19:dd:d9:dd:c25:c25:c00a:e8c/1272c19:dd:d9:dd:c25:c25:c00a:e8d
722c19:dd:d9:dd:c25:c25:c00a:e8e/1272c19:dd:d9:dd:c25:c25:c00a:e8f
732c19:dd:d9:dd:c25:c25:c00a:e90/1272c19:dd:d9:dd:c25:c25:c00a:e91
742c19:dd:d9:dd:c25:c25:c00a:e92/1272c19:dd:d9:dd:c25:c25:c00a:e93
752c19:dd:d9:dd:c25:c25:c00a:e94/1272c19:dd:d9:dd:c25:c25:c00a:e95
762c19:dd:d9:dd:c25:c25:c00a:e96/1272c19:dd:d9:dd:c25:c25:c00a:e97
772c19:dd:d9:dd:c25:c25:c00a:e98/1272c19:dd:d9:dd:c25:c25:c00a:e99
782c19:dd:d9:dd:c25:c25:c00a:e9a/1272c19:dd:d9:dd:c25:c25:c00a:e9b
792c19:dd:d9:dd:c25:c25:c00a:e9c/1272c19:dd:d9:dd:c25:c25:c00a:e9d
802c19:dd:d9:dd:c25:c25:c00a:e9e/1272c19:dd:d9:dd:c25:c25:c00a:e9f
812c19:dd:d9:dd:c25:c25:c00a:ea0/1272c19:dd:d9:dd:c25:c25:c00a:ea1
822c19:dd:d9:dd:c25:c25:c00a:ea2/1272c19:dd:d9:dd:c25:c25:c00a:ea3
832c19:dd:d9:dd:c25:c25:c00a:ea4/1272c19:dd:d9:dd:c25:c25:c00a:ea5
842c19:dd:d9:dd:c25:c25:c00a:ea6/1272c19:dd:d9:dd:c25:c25:c00a:ea7
852c19:dd:d9:dd:c25:c25:c00a:ea8/1272c19:dd:d9:dd:c25:c25:c00a:ea9
862c19:dd:d9:dd:c25:c25:c00a:eaa/1272c19:dd:d9:dd:c25:c25:c00a:eab
872c19:dd:d9:dd:c25:c25:c00a:eac/1272c19:dd:d9:dd:c25:c25:c00a:ead
882c19:dd:d9:dd:c25:c25:c00a:eae/1272c19:dd:d9:dd:c25:c25:c00a:eaf
892c19:dd:d9:dd:c25:c25:c00a:eb0/1272c19:dd:d9:dd:c25:c25:c00a:eb1
902c19:dd:d9:dd:c25:c25:c00a:eb2/1272c19:dd:d9:dd:c25:c25:c00a:eb3
912c19:dd:d9:dd:c25:c25:c00a:eb4/1272c19:dd:d9:dd:c25:c25:c00a:eb5
922c19:dd:d9:dd:c25:c25:c00a:eb6/1272c19:dd:d9:dd:c25:c25:c00a:eb7
932c19:dd:d9:dd:c25:c25:c00a:eb8/1272c19:dd:d9:dd:c25:c25:c00a:eb9
942c19:dd:d9:dd:c25:c25:c00a:eba/1272c19:dd:d9:dd:c25:c25:c00a:ebb
952c19:dd:d9:dd:c25:c25:c00a:ebc/1272c19:dd:d9:dd:c25:c25:c00a:ebd
962c19:dd:d9:dd:c25:c25:c00a:ebe/1272c19:dd:d9:dd:c25:c25:c00a:ebf
972c19:dd:d9:dd:c25:c25:c00a:ec0/1272c19:dd:d9:dd:c25:c25:c00a:ec1
982c19:dd:d9:dd:c25:c25:c00a:ec2/1272c19:dd:d9:dd:c25:c25:c00a:ec3
992c19:dd:d9:dd:c25:c25:c00a:ec4/1272c19:dd:d9:dd:c25:c25:c00a:ec5
1002c19:dd:d9:dd:c25:c25:c00a:ec6/1272c19:dd:d9:dd:c25:c25:c00a:ec7
1012c19:dd:d9:dd:c25:c25:c00a:ec8/1272c19:dd:d9:dd:c25:c25:c00a:ec9
1022c19:dd:d9:dd:c25:c25:c00a:eca/1272c19:dd:d9:dd:c25:c25:c00a:ecb
1032c19:dd:d9:dd:c25:c25:c00a:ecc/1272c19:dd:d9:dd:c25:c25:c00a:ecd
1042c19:dd:d9:dd:c25:c25:c00a:ece/1272c19:dd:d9:dd:c25:c25:c00a:ecf
1052c19:dd:d9:dd:c25:c25:c00a:ed0/1272c19:dd:d9:dd:c25:c25:c00a:ed1
1062c19:dd:d9:dd:c25:c25:c00a:ed2/1272c19:dd:d9:dd:c25:c25:c00a:ed3
1072c19:dd:d9:dd:c25:c25:c00a:ed4/1272c19:dd:d9:dd:c25:c25:c00a:ed5
1082c19:dd:d9:dd:c25:c25:c00a:ed6/1272c19:dd:d9:dd:c25:c25:c00a:ed7
1092c19:dd:d9:dd:c25:c25:c00a:ed8/1272c19:dd:d9:dd:c25:c25:c00a:ed9
1102c19:dd:d9:dd:c25:c25:c00a:eda/1272c19:dd:d9:dd:c25:c25:c00a:edb
1112c19:dd:d9:dd:c25:c25:c00a:edc/1272c19:dd:d9:dd:c25:c25:c00a:edd
1122c19:dd:d9:dd:c25:c25:c00a:ede/1272c19:dd:d9:dd:c25:c25:c00a:edf
1132c19:dd:d9:dd:c25:c25:c00a:ee0/1272c19:dd:d9:dd:c25:c25:c00a:ee1
1142c19:dd:d9:dd:c25:c25:c00a:ee2/1272c19:dd:d9:dd:c25:c25:c00a:ee3
1152c19:dd:d9:dd:c25:c25:c00a:ee4/1272c19:dd:d9:dd:c25:c25:c00a:ee5
1162c19:dd:d9:dd:c25:c25:c00a:ee6/1272c19:dd:d9:dd:c25:c25:c00a:ee7
1172c19:dd:d9:dd:c25:c25:c00a:ee8/1272c19:dd:d9:dd:c25:c25:c00a:ee9
1182c19:dd:d9:dd:c25:c25:c00a:eea/1272c19:dd:d9:dd:c25:c25:c00a:eeb
1192c19:dd:d9:dd:c25:c25:c00a:eec/1272c19:dd:d9:dd:c25:c25:c00a:eed
1202c19:dd:d9:dd:c25:c25:c00a:eee/1272c19:dd:d9:dd:c25:c25:c00a:eef
1212c19:dd:d9:dd:c25:c25:c00a:ef0/1272c19:dd:d9:dd:c25:c25:c00a:ef1
1222c19:dd:d9:dd:c25:c25:c00a:ef2/1272c19:dd:d9:dd:c25:c25:c00a:ef3
1232c19:dd:d9:dd:c25:c25:c00a:ef4/1272c19:dd:d9:dd:c25:c25:c00a:ef5
1242c19:dd:d9:dd:c25:c25:c00a:ef6/1272c19:dd:d9:dd:c25:c25:c00a:ef7
1252c19:dd:d9:dd:c25:c25:c00a:ef8/1272c19:dd:d9:dd:c25:c25:c00a:ef9
1262c19:dd:d9:dd:c25:c25:c00a:efa/1272c19:dd:d9:dd:c25:c25:c00a:efb
1272c19:dd:d9:dd:c25:c25:c00a:efc/1272c19:dd:d9:dd:c25:c25:c00a:efd
1282c19:dd:d9:dd:c25:c25:c00a:efe/1272c19:dd:d9:dd:c25:c25:c00a:eff
1292c19:dd:d9:dd:c25:c25:c00a:f00/1272c19:dd:d9:dd:c25:c25:c00a:f01
1302c19:dd:d9:dd:c25:c25:c00a:f02/1272c19:dd:d9:dd:c25:c25:c00a:f03
1312c19:dd:d9:dd:c25:c25:c00a:f04/1272c19:dd:d9:dd:c25:c25:c00a:f05
1322c19:dd:d9:dd:c25:c25:c00a:f06/1272c19:dd:d9:dd:c25:c25:c00a:f07
1332c19:dd:d9:dd:c25:c25:c00a:f08/1272c19:dd:d9:dd:c25:c25:c00a:f09
1342c19:dd:d9:dd:c25:c25:c00a:f0a/1272c19:dd:d9:dd:c25:c25:c00a:f0b
1352c19:dd:d9:dd:c25:c25:c00a:f0c/1272c19:dd:d9:dd:c25:c25:c00a:f0d
1362c19:dd:d9:dd:c25:c25:c00a:f0e/1272c19:dd:d9:dd:c25:c25:c00a:f0f
1372c19:dd:d9:dd:c25:c25:c00a:f10/1272c19:dd:d9:dd:c25:c25:c00a:f11
1382c19:dd:d9:dd:c25:c25:c00a:f12/1272c19:dd:d9:dd:c25:c25:c00a:f13
1392c19:dd:d9:dd:c25:c25:c00a:f14/1272c19:dd:d9:dd:c25:c25:c00a:f15
1402c19:dd:d9:dd:c25:c25:c00a:f16/1272c19:dd:d9:dd:c25:c25:c00a:f17
1412c19:dd:d9:dd:c25:c25:c00a:f18/1272c19:dd:d9:dd:c25:c25:c00a:f19
1422c19:dd:d9:dd:c25:c25:c00a:f1a/1272c19:dd:d9:dd:c25:c25:c00a:f1b
1432c19:dd:d9:dd:c25:c25:c00a:f1c/1272c19:dd:d9:dd:c25:c25:c00a:f1d
1442c19:dd:d9:dd:c25:c25:c00a:f1e/1272c19:dd:d9:dd:c25:c25:c00a:f1f
1452c19:dd:d9:dd:c25:c25:c00a:f20/1272c19:dd:d9:dd:c25:c25:c00a:f21
1462c19:dd:d9:dd:c25:c25:c00a:f22/1272c19:dd:d9:dd:c25:c25:c00a:f23
1472c19:dd:d9:dd:c25:c25:c00a:f24/1272c19:dd:d9:dd:c25:c25:c00a:f25
1482c19:dd:d9:dd:c25:c25:c00a:f26/1272c19:dd:d9:dd:c25:c25:c00a:f27
1492c19:dd:d9:dd:c25:c25:c00a:f28/1272c19:dd:d9:dd:c25:c25:c00a:f29
1502c19:dd:d9:dd:c25:c25:c00a:f2a/1272c19:dd:d9:dd:c25:c25:c00a:f2b
1512c19:dd:d9:dd:c25:c25:c00a:f2c/1272c19:dd:d9:dd:c25:c25:c00a:f2d
1522c19:dd:d9:dd:c25:c25:c00a:f2e/1272c19:dd:d9:dd:c25:c25:c00a:f2f
1532c19:dd:d9:dd:c25:c25:c00a:f30/1272c19:dd:d9:dd:c25:c25:c00a:f31
1542c19:dd:d9:dd:c25:c25:c00a:f32/1272c19:dd:d9:dd:c25:c25:c00a:f33
1552c19:dd:d9:dd:c25:c25:c00a:f34/1272c19:dd:d9:dd:c25:c25:c00a:f35
1562c19:dd:d9:dd:c25:c25:c00a:f36/1272c19:dd:d9:dd:c25:c25:c00a:f37
1572c19:dd:d9:dd:c25:c25:c00a:f38/1272c19:dd:d9:dd:c25:c25:c00a:f39
1582c19:dd:d9:dd:c25:c25:c00a:f3a/1272c19:dd:d9:dd:c25:c25:c00a:f3b
1592c19:dd:d9:dd:c25:c25:c00a:f3c/1272c19:dd:d9:dd:c25:c25:c00a:f3d
1602c19:dd:d9:dd:c25:c25:c00a:f3e/1272c19:dd:d9:dd:c25:c25:c00a:f3f
1612c19:dd:d9:dd:c25:c25:c00a:f40/1272c19:dd:d9:dd:c25:c25:c00a:f41
1622c19:dd:d9:dd:c25:c25:c00a:f42/1272c19:dd:d9:dd:c25:c25:c00a:f43
1632c19:dd:d9:dd:c25:c25:c00a:f44/1272c19:dd:d9:dd:c25:c25:c00a:f45
1642c19:dd:d9:dd:c25:c25:c00a:f46/1272c19:dd:d9:dd:c25:c25:c00a:f47
1652c19:dd:d9:dd:c25:c25:c00a:f48/1272c19:dd:d9:dd:c25:c25:c00a:f49
1662c19:dd:d9:dd:c25:c25:c00a:f4a/1272c19:dd:d9:dd:c25:c25:c00a:f4b
1672c19:dd:d9:dd:c25:c25:c00a:f4c/1272c19:dd:d9:dd:c25:c25:c00a:f4d
1682c19:dd:d9:dd:c25:c25:c00a:f4e/1272c19:dd:d9:dd:c25:c25:c00a:f4f
1692c19:dd:d9:dd:c25:c25:c00a:f50/1272c19:dd:d9:dd:c25:c25:c00a:f51
1702c19:dd:d9:dd:c25:c25:c00a:f52/1272c19:dd:d9:dd:c25:c25:c00a:f53
1712c19:dd:d9:dd:c25:c25:c00a:f54/1272c19:dd:d9:dd:c25:c25:c00a:f55
1722c19:dd:d9:dd:c25:c25:c00a:f56/1272c19:dd:d9:dd:c25:c25:c00a:f57
1732c19:dd:d9:dd:c25:c25:c00a:f58/1272c19:dd:d9:dd:c25:c25:c00a:f59
1742c19:dd:d9:dd:c25:c25:c00a:f5a/1272c19:dd:d9:dd:c25:c25:c00a:f5b
1752c19:dd:d9:dd:c25:c25:c00a:f5c/1272c19:dd:d9:dd:c25:c25:c00a:f5d
1762c19:dd:d9:dd:c25:c25:c00a:f5e/1272c19:dd:d9:dd:c25:c25:c00a:f5f
1772c19:dd:d9:dd:c25:c25:c00a:f60/1272c19:dd:d9:dd:c25:c25:c00a:f61
1782c19:dd:d9:dd:c25:c25:c00a:f62/1272c19:dd:d9:dd:c25:c25:c00a:f63
1792c19:dd:d9:dd:c25:c25:c00a:f64/1272c19:dd:d9:dd:c25:c25:c00a:f65
1802c19:dd:d9:dd:c25:c25:c00a:f66/1272c19:dd:d9:dd:c25:c25:c00a:f67
1812c19:dd:d9:dd:c25:c25:c00a:f68/1272c19:dd:d9:dd:c25:c25:c00a:f69
1822c19:dd:d9:dd:c25:c25:c00a:f6a/1272c19:dd:d9:dd:c25:c25:c00a:f6b
1832c19:dd:d9:dd:c25:c25:c00a:f6c/1272c19:dd:d9:dd:c25:c25:c00a:f6d
1842c19:dd:d9:dd:c25:c25:c00a:f6e/1272c19:dd:d9:dd:c25:c25:c00a:f6f
1852c19:dd:d9:dd:c25:c25:c00a:f70/1272c19:dd:d9:dd:c25:c25:c00a:f71
1862c19:dd:d9:dd:c25:c25:c00a:f72/1272c19:dd:d9:dd:c25:c25:c00a:f73
1872c19:dd:d9:dd:c25:c25:c00a:f74/1272c19:dd:d9:dd:c25:c25:c00a:f75
1882c19:dd:d9:dd:c25:c25:c00a:f76/1272c19:dd:d9:dd:c25:c25:c00a:f77
1892c19:dd:d9:dd:c25:c25:c00a:f78/1272c19:dd:d9:dd:c25:c25:c00a:f79
1902c19:dd:d9:dd:c25:c25:c00a:f7a/1272c19:dd:d9:dd:c25:c25:c00a:f7b
1912c19:dd:d9:dd:c25:c25:c00a:f7c/1272c19:dd:d9:dd:c25:c25:c00a:f7d
1922c19:dd:d9:dd:c25:c25:c00a:f7e/1272c19:dd:d9:dd:c25:c25:c00a:f7f
1932c19:dd:d9:dd:c25:c25:c00a:f80/1272c19:dd:d9:dd:c25:c25:c00a:f81
1942c19:dd:d9:dd:c25:c25:c00a:f82/1272c19:dd:d9:dd:c25:c25:c00a:f83
1952c19:dd:d9:dd:c25:c25:c00a:f84/1272c19:dd:d9:dd:c25:c25:c00a:f85
1962c19:dd:d9:dd:c25:c25:c00a:f86/1272c19:dd:d9:dd:c25:c25:c00a:f87
1972c19:dd:d9:dd:c25:c25:c00a:f88/1272c19:dd:d9:dd:c25:c25:c00a:f89
1982c19:dd:d9:dd:c25:c25:c00a:f8a/1272c19:dd:d9:dd:c25:c25:c00a:f8b
1992c19:dd:d9:dd:c25:c25:c00a:f8c/1272c19:dd:d9:dd:c25:c25:c00a:f8d
2002c19:dd:d9:dd:c25:c25:c00a:f8e/1272c19:dd:d9:dd:c25:c25:c00a:f8f
2012c19:dd:d9:dd:c25:c25:c00a:f90/1272c19:dd:d9:dd:c25:c25:c00a:f91
2022c19:dd:d9:dd:c25:c25:c00a:f92/1272c19:dd:d9:dd:c25:c25:c00a:f93
2032c19:dd:d9:dd:c25:c25:c00a:f94/1272c19:dd:d9:dd:c25:c25:c00a:f95
2042c19:dd:d9:dd:c25:c25:c00a:f96/1272c19:dd:d9:dd:c25:c25:c00a:f97
2052c19:dd:d9:dd:c25:c25:c00a:f98/1272c19:dd:d9:dd:c25:c25:c00a:f99
2062c19:dd:d9:dd:c25:c25:c00a:f9a/1272c19:dd:d9:dd:c25:c25:c00a:f9b
2072c19:dd:d9:dd:c25:c25:c00a:f9c/1272c19:dd:d9:dd:c25:c25:c00a:f9d
2082c19:dd:d9:dd:c25:c25:c00a:f9e/1272c19:dd:d9:dd:c25:c25:c00a:f9f
2092c19:dd:d9:dd:c25:c25:c00a:fa0/1272c19:dd:d9:dd:c25:c25:c00a:fa1
2102c19:dd:d9:dd:c25:c25:c00a:fa2/1272c19:dd:d9:dd:c25:c25:c00a:fa3
2112c19:dd:d9:dd:c25:c25:c00a:fa4/1272c19:dd:d9:dd:c25:c25:c00a:fa5
2122c19:dd:d9:dd:c25:c25:c00a:fa6/1272c19:dd:d9:dd:c25:c25:c00a:fa7
2132c19:dd:d9:dd:c25:c25:c00a:fa8/1272c19:dd:d9:dd:c25:c25:c00a:fa9
2142c19:dd:d9:dd:c25:c25:c00a:faa/1272c19:dd:d9:dd:c25:c25:c00a:fab
2152c19:dd:d9:dd:c25:c25:c00a:fac/1272c19:dd:d9:dd:c25:c25:c00a:fad
2162c19:dd:d9:dd:c25:c25:c00a:fae/1272c19:dd:d9:dd:c25:c25:c00a:faf
2172c19:dd:d9:dd:c25:c25:c00a:fb0/1272c19:dd:d9:dd:c25:c25:c00a:fb1
2182c19:dd:d9:dd:c25:c25:c00a:fb2/1272c19:dd:d9:dd:c25:c25:c00a:fb3
2192c19:dd:d9:dd:c25:c25:c00a:fb4/1272c19:dd:d9:dd:c25:c25:c00a:fb5
2202c19:dd:d9:dd:c25:c25:c00a:fb6/1272c19:dd:d9:dd:c25:c25:c00a:fb7
2212c19:dd:d9:dd:c25:c25:c00a:fb8/1272c19:dd:d9:dd:c25:c25:c00a:fb9
2222c19:dd:d9:dd:c25:c25:c00a:fba/1272c19:dd:d9:dd:c25:c25:c00a:fbb
2232c19:dd:d9:dd:c25:c25:c00a:fbc/1272c19:dd:d9:dd:c25:c25:c00a:fbd
2242c19:dd:d9:dd:c25:c25:c00a:fbe/1272c19:dd:d9:dd:c25:c25:c00a:fbf
2252c19:dd:d9:dd:c25:c25:c00a:fc0/1272c19:dd:d9:dd:c25:c25:c00a:fc1
2262c19:dd:d9:dd:c25:c25:c00a:fc2/1272c19:dd:d9:dd:c25:c25:c00a:fc3
2272c19:dd:d9:dd:c25:c25:c00a:fc4/1272c19:dd:d9:dd:c25:c25:c00a:fc5
2282c19:dd:d9:dd:c25:c25:c00a:fc6/1272c19:dd:d9:dd:c25:c25:c00a:fc7
2292c19:dd:d9:dd:c25:c25:c00a:fc8/1272c19:dd:d9:dd:c25:c25:c00a:fc9
2302c19:dd:d9:dd:c25:c25:c00a:fca/1272c19:dd:d9:dd:c25:c25:c00a:fcb
2312c19:dd:d9:dd:c25:c25:c00a:fcc/1272c19:dd:d9:dd:c25:c25:c00a:fcd
2322c19:dd:d9:dd:c25:c25:c00a:fce/1272c19:dd:d9:dd:c25:c25:c00a:fcf
2332c19:dd:d9:dd:c25:c25:c00a:fd0/1272c19:dd:d9:dd:c25:c25:c00a:fd1
2342c19:dd:d9:dd:c25:c25:c00a:fd2/1272c19:dd:d9:dd:c25:c25:c00a:fd3
2352c19:dd:d9:dd:c25:c25:c00a:fd4/1272c19:dd:d9:dd:c25:c25:c00a:fd5
2362c19:dd:d9:dd:c25:c25:c00a:fd6/1272c19:dd:d9:dd:c25:c25:c00a:fd7
2372c19:dd:d9:dd:c25:c25:c00a:fd8/1272c19:dd:d9:dd:c25:c25:c00a:fd9
2382c19:dd:d9:dd:c25:c25:c00a:fda/1272c19:dd:d9:dd:c25:c25:c00a:fdb
2392c19:dd:d9:dd:c25:c25:c00a:fdc/1272c19:dd:d9:dd:c25:c25:c00a:fdd
2402c19:dd:d9:dd:c25:c25:c00a:fde/1272c19:dd:d9:dd:c25:c25:c00a:fdf
2412c19:dd:d9:dd:c25:c25:c00a:fe0/1272c19:dd:d9:dd:c25:c25:c00a:fe1
2422c19:dd:d9:dd:c25:c25:c00a:fe2/1272c19:dd:d9:dd:c25:c25:c00a:fe3
2432c19:dd:d9:dd:c25:c25:c00a:fe4/1272c19:dd:d9:dd:c25:c25:c00a:fe5
2442c19:dd:d9:dd:c25:c25:c00a:fe6/1272c19:dd:d9:dd:c25:c25:c00a:fe7
2452c19:dd:d9:dd:c25:c25:c00a:fe8/1272c19:dd:d9:dd:c25:c25:c00a:fe9
2462c19:dd:d9:dd:c25:c25:c00a:fea/1272c19:dd:d9:dd:c25:c25:c00a:feb
2472c19:dd:d9:dd:c25:c25:c00a:fec/1272c19:dd:d9:dd:c25:c25:c00a:fed
2482c19:dd:d9:dd:c25:c25:c00a:fee/1272c19:dd:d9:dd:c25:c25:c00a:fef
2492c19:dd:d9:dd:c25:c25:c00a:ff0/1272c19:dd:d9:dd:c25:c25:c00a:ff1
2502c19:dd:d9:dd:c25:c25:c00a:ff2/1272c19:dd:d9:dd:c25:c25:c00a:ff3
2512c19:dd:d9:dd:c25:c25:c00a:ff4/1272c19:dd:d9:dd:c25:c25:c00a:ff5
2522c19:dd:d9:dd:c25:c25:c00a:ff6/1272c19:dd:d9:dd:c25:c25:c00a:ff7
2532c19:dd:d9:dd:c25:c25:c00a:ff8/1272c19:dd:d9:dd:c25:c25:c00a:ff9
2542c19:dd:d9:dd:c25:c25:c00a:ffa/1272c19:dd:d9:dd:c25:c25:c00a:ffb
2552c19:dd:d9:dd:c25:c25:c00a:ffc/1272c19:dd:d9:dd:c25:c25:c00a:ffd
2562c19:dd:d9:dd:c25:c25:c00a:ffe/1272c19:dd:d9:dd:c25:c25:c00a:fff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses